#include "ftint86.ch"

/*
*   Routine: ft_isdir(<cDirectory>) --> L
*          : 
*   Purpose: Used to determine if <cDirectory> is a valid/existing
*          : directory.
*          : 
* Arguments: <cDirectory> a character string
*          : 
*  Comments: Requires NANFOR.LIB
*          : 
*/
function ft_isdir( cDir )
    local aRegs[ 10 ]

    iif( !(Right(cDir,1) == "\"),cDir += "\", )

    aRegs[AX] := makehi(78)
    aRegs[DS] := cDir + "*.*" + chr( 0 )
    aRegs[DX] := REG_DS
    aRegs[CX] := 63

    FT_Int86( 33, aRegs )

return ( aRegs[ FLAGS ] % 2 == 0 )

